Name:		python-distutils-extra
Version:	2.39
Release:	%mkrel 12
Summary:	Enhancements to the Python build system
Group:		Development/Python
License:	GPLv2+
URL:		https://launchpad.net/python-distutils-extra
Source0:	https://launchpad.net/python-distutils-extra/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)

%description
python-distutils-extra allows you to easily integrate gettext, themed icons
and GNOME documentation into your build and installation process.

%package -n python3-distutils-extra
Summary:	Integrate more support into Python 3's distutils
Group:		Development/Python
%{?python_provide:%python_provide python3-distutils-extra}

%description -n python3-distutils-extra
Enables you to easily integrate gettext support, themed icons and
scrollkeeper based documentation into Python's distutils.

%prep
%setup -q

%build
%py3_build

%install
%py3_install
chmod a+x %{buildroot}%{python3_sitelib}/DistUtilsExtra/command/build_extra.py

%files -n python3-distutils-extra
%doc LICENSE doc/*
%{python3_sitelib}/DistUtilsExtra/
%{python3_sitelib}/python_distutils_extra*.egg-info


%changelog
* Sat Dec 09 2023 wally <wally> 2.39-12.mga10
+ Revision: 2016503
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.39-11.mga9
+ Revision: 1822786
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 2.39-10.mga9
+ Revision: 1775180
- rebuild for python-3.10

* Sun Feb 13 2022 joequant <joequant> 2.39-9.mga9
+ Revision: 1773946
- update to python 3.10

* Mon Mar 15 2021 wally <wally> 2.39-8.mga9
+ Revision: 1703655
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.39-7.mga8
+ Revision: 1531411
- Mageia 8 Mass Rebuild

* Thu Sep 12 2019 daviddavid <daviddavid> 2.39-6.mga8
+ Revision: 1439971
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 wally <wally> 2.39-5.mga7
+ Revision: 1350575
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.39-4.mga7
+ Revision: 1288677
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 kekepower <kekepower> 2.39-3.mga7
+ Revision: 1221156
- Rename python-distutils-extra to python2-distutils-extra
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 2.39-2.mga7
+ Revision: 1135370
- Rebuild for python 3.6

* Tue Feb 16 2016 philippem <philippem> 2.39-1.mga6
+ Revision: 962689
- update to 2.39

* Wed Oct 07 2015 barjac <barjac> 2.38-8.mga6
+ Revision: 887083
- rebuild for new python3

* Wed Oct 15 2014 umeabot <umeabot> 2.38-7.mga5
+ Revision: 747516
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.38-6.mga5
+ Revision: 728230
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.38-5.mga5
+ Revision: 687965
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.38-4.mga5
+ Revision: 628549
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.38-3.mga4
+ Revision: 543055
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.38-2.mga4
+ Revision: 498359
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 24 2013 philippem <philippem> 2.38-1.mga4
+ Revision: 457895
- Update to 2.38
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.37-2.mga3
+ Revision: 378661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 philippem <philippem> 2.37-1.mga3
+ Revision: 296354
- update to 2.37

* Sun Sep 02 2012 philippem <philippem> 2.36-1.mga3
+ Revision: 287235
- New upstream release 2.36

* Mon Mar 05 2012 philippem <philippem> 2.32-1.mga2
+ Revision: 218506
- Update to 2.32.

* Thu Nov 17 2011 philippem <philippem> 2.31-1.mga2
+ Revision: 168411
- Update to 2.31

* Wed Oct 26 2011 philippem <philippem> 2.30-1.mga2
+ Revision: 158333
- update to new version 2.30

* Mon Oct 24 2011 philippem <philippem> 2.29-1.mga2
+ Revision: 157707
- new upstream
+ fwang <fwang>
- new version 2.28

* Tue Apr 19 2011 dmorgan <dmorgan> 2.23-1.mga1
+ Revision: 88148
- imported package python-distutils-extra


* Thu Nov 25 2010 Funda Wang <fwang@mandriva.org> 2.23-1mdv2011.0
+ Revision: 600933
- new version 2.23

* Fri Nov 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.22-1mdv2011.0
+ Revision: 596455
- Update to 2.22

* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 2.20-2mdv2011.0
+ Revision: 592874
- rebuild for new python 2.7

* Sat Aug 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.20-1mdv2011.0
+ Revision: 567256
- update to 2.20

* Fri Apr 16 2010 Michael Scherer <misc@mandriva.org> 2.18-1mdv2010.1
+ Revision: 535622
- update to new version 2.18

* Sat Jan 30 2010 Frederik Himpe <fhimpe@mandriva.org> 2.16-1mdv2010.1
+ Revision: 498551
- update to new version 2.16

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 2.15-1mdv2010.1
+ Revision: 486836
- update to new version 2.15

* Thu Dec 24 2009 Frederik Himpe <fhimpe@mandriva.org> 2.13-1mdv2010.1
+ Revision: 481992
- update to new version 2.13

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 2.12-1mdv2010.1
+ Revision: 465316
- update to new version 2.12

* Sun Jul 12 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3-1mdv2010.0
+ Revision: 394904
- Create package based on Fedora's SPEC
- create python-distutils-extra

